#ifndef AT32_UID_H_
#define AT32_UID_H_

#include <stdint.h>

/**
 * The Artery factory-programmed UUID memory.
 * Three values of 32 bits each starting at this address
 * Use like this: STM32_UUID[0], STM32_UUID[1], STM32_UUID[2]
 */
#define AT32_UUID ((uint8_t *)0x1FFFF7E8)

void GetAT32IDStr(char* str, uint8_t* len);

void GetAT32IDInt(char* value);


#endif /* AT32_UID_H_ */
